mixin feature(lighticon, darkicon, title)
  .feature.is-revealing
    .feature-inner
      .feature-icon
        img.asset-light(src=lighticon)
        img.asset-dark(src=darkicon)
      .feature-content
        h3.feature-title.mt-0= title
        if block
          block

mixin description(description)
  meta(name='description', content=description)
  meta(property='og:title', content='OLKi')
  meta(property='og:description', content=description)
  meta(property='og:type', content='website')

mixin nav()
  header.site-header
    .container
      .site-header-inner
        .brand.header-brand
          h1.m-0
            a(href='index.pug')
              img.header-logo-image.asset-light.asset-header(src='src/images/logo-light.svg' alt='Logo')
              img.header-logo-image.asset-dark.asset-header(src='src/images/logo-dark.svg' alt='Logo')
              span(title='platform for the Open Language and Knowledge for Citizens project') OLKi
        .header-nav(style='display:inline-flex;justify-content:flex-end;align-items:center;')
          a#aboutNav(style="margin-right:30px;font-family:'Rajdhani';" href='about.pug') About
            i.icon.icon-caret
          a(style="display:none;" href='group-sessions.pug') Group Sessions
          a(style="margin-right:30px;font-family:'Rajdhani';" href='https://framagit.org/synalp/olki/olki') Code
          a(style="margin-right:30px;font-family:'Rajdhani';" href='https://olki-docs.loria.fr') Docs
          a(style="margin-right:30px;font-family:'Rajdhani';" href='https://olki-social.loria.fr') Demo
          .lights-toggle
            input#lights-toggle.switch(alt='Toggle dark/light theme' type='checkbox' name='lights-toggle' checked='checked')
            label.text-xs(for='lights-toggle') &nbsp;

mixin mastodon(href, title)
  a(href=href title='Mastodon account')&attributes(attributes)= title
    span.screen-reader-text title
    svg(viewbox='0 0 16 16' width='24' height='24')
      path(d='M 15.659 9.592 C 15.424 10.72 13.553 11.956 11.404 12.195 C 10.283 12.32 9.18 12.434 8.003 12.384 C 6.079 12.302 4.56 11.956 4.56 11.956 C 4.56 12.13 4.572 12.297 4.595 12.452 C 4.845 14.224 6.478 14.33 8.025 14.379 C 9.586 14.429 10.976 14.02 10.976 14.02 L 11.04 15.337 C 11.04 15.337 9.948 15.884 8.003 15.984 C 6.93 16.039 5.598 15.959 4.047 15.576 C 0.683 14.746 0.104 11.4 0.015 8.006 C -0.012 6.998 0.005 6.048 0.005 5.253 C 0.005 1.782 2.443 0.765 2.443 0.765 C 3.672 0.238 5.782 0.017 7.975 0 L 8.029 0 C 10.221 0.017 12.332 0.238 13.561 0.765 C 13.561 0.765 15.999 1.782 15.999 5.253 C 15.999 5.253 16.03 7.814 15.659 9.592 Z M 13.124 5.522 L 13.124 9.725 L 11.339 9.725 L 11.339 5.646 C 11.339 4.786 10.951 4.35 10.175 4.35 C 9.317 4.35 8.887 4.867 8.887 5.891 L 8.887 8.124 L 7.113 8.124 L 7.113 5.891 C 7.113 4.867 6.683 4.35 5.825 4.35 C 5.049 4.35 4.661 4.786 4.661 5.646 L 4.661 9.725 L 2.876 9.725 L 2.876 5.522 C 2.876 4.663 3.111 3.981 3.582 3.476 C 4.067 2.971 4.703 2.712 5.493 2.712 C 6.406 2.712 7.098 3.039 7.555 3.695 L 8 4.39 L 8.445 3.695 C 8.902 3.039 9.594 2.712 10.507 2.712 C 11.297 2.712 11.933 2.971 12.418 3.476 C 12.889 3.981 13.124 4.663 13.124 5.522 Z' style="stroke:none;stroke-miterlimit:10;fill-rule:evenodd;fill:#6B7A90;")
